Bug 238396 - RV280 + dri X fails to start and the machine hangs
RV280 + dri X fails to start and the machine hangs
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2007-04-30 03:39 EDT by Brian J. Green
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-03 11:27:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian J. Green 2007-04-30 03:39:44 EDT
Description of problem: X fails to start, machine hangs with dri enabled
on radeon RV280.  Cursor never appears, keyboard and mouse are unresponsive.
Machine requires hard reset.

Version-Release number of selected component (if applicable):

How reproducible:
Happens everytime

Steps to Reproduce:
1. type starx from runlevel 3
Actual results:
X fails to start and the machine locks up

Expected results:
X should start

Additional info:
Please let me know which logs you would like and how
you'd like me to collect them.  This is on a newly upgraded
system FC4->FC6 with all errata applied via 'yum update'
I did not experience this problem on FC4.
For now, I have commented out the line:
           # Load  "dri"
From the module section of my xorg.conf.  This allows
X to function correctly - although without 3D acceleration.
Comment 1 Brian J. Green 2007-05-02 00:00:32 EDT
I have figured out the problem.  The important kernel messages are these:
  kernel: [drm] Initialized drm 1.1.0 20060810
  kernel: [drm] Initialized radeon 1.25.0 20060524 on minor 0
  kernel: agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
  kernel: agpgart: Putting AGP V2 device at 0000:00:00.0 into 1x mode
  kernel: agpgart: Putting AGP V2 device at 0000:01:00.0 into 1x mode
  kernel: [drm] Setting GART location based on new memory map
  kernel: [drm] Loading R200 Microcode
  kernel: [drm] writeback test failed

Apparently the agp aperture width setting in my machine's bios is too
small.  It is by default set to 32MB.  This was fine in FC4, but is apparently
not enough under FC6.  I set the bios value to 256Mb (the max allowed on
my machine) and now X works properly with dri enabled.

Please feel free to close this bug, although it would be nice if the kernel
would not crash under these circumstances.

Note You need to log in before you can comment on or make changes to this bug.